Bug 120199 - audio/mp3splt: make dependency on ogg vorbis optional
Summary: audio/mp3splt: make dependency on ogg vorbis optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-01 05:50 UTC by Oleg Pudeyev
Modified: 2008-02-03 04:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.13 KB, patch)
2008-02-01 05:50 UTC, Oleg Pudeyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Pudeyev 2008-02-01 05:50:01 UTC
Attached patch against Makefile makes dependency on ogg vorbis in mp3splt optional.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-02-01 05:50:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Ulrich Spoerlein 2008-02-01 19:01:32 UTC
Hi Oleg,

I do approve the patch, but I'm curious at your reasoning for the patch.
The libvorbis package is merely 600kB on my system and anybody doing
serious MP3 and audio manipulation will have both, libogg and libvorbis
installed anyway.

So, I find it rather pointless in adding this option, but if you have a
good use for it, I'm not gonna stand in the way.

Cheers,
Ulrich Spoerlein
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-02-01 20:46:03 UTC
State Changed
From-To: feedback->open

Maintainer approved, but see audit trail.
Comment 4 Oleg Pudeyev 2008-02-01 22:33:24 UTC
I don't have a single ogg file on any of my computers. Yet I have, as
do you, both libogg and libvorbis installed. I use mp3splt to trim
crossfading from mp3 files I obtain with streamripper, and I don't see
ogg/vorbis getting popular for streaming radio any time soon. My
laptop however is rather low on memory, and loading unnecessary
libraries contributes to slow performance. Clearly one library in one
application won't make a big splash, but systematically making
optional dependencies truly optional will have a substantial impact.
Consider redhat vs debian -- the fact that deb provides for optional
dependencies tends to make debian-based installations noticeably
smaller.

Oleg
Comment 5 Beech Rintoul freebsd_committer 2008-02-02 20:41:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 6 dfilter service freebsd_committer 2008-02-03 04:43:26 UTC
beech       2008-02-03 04:43:18 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3splt        Makefile 
  Log:
  - Add option (ogg vorbis)
  
  PR:             ports/120199
  Submitted by:   Oleg Pudeyev <oleg@bsdpower.com>
  Approved by:    Ulrich Spoerlein <uspoerlein@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.20      +13 -5     ports/audio/mp3splt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beech Rintoul freebsd_committer 2008-02-03 04:43:42 UTC
State Changed
From-To: open->closed

Committed, Thanks!